Bug 827771 - imageDirectory may contain a URL, but it doesn’t work
imageDirectory may contain a URL, but it doesn’t work
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xscreensaver (Show other bugs)
17
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-02 19:36 EDT by Erik Streb del Toro
Modified: 2012-07-05 19:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-05 19:35:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Erik Streb del Toro 2012-06-02 19:36:20 EDT
Description of problem:
It is not possible to me to use the new feature »imageDirectory may contain a URL« which was introduced with version 5.15 of xscreensaver.

Version-Release number of selected component (if applicable):
Version     : 5.15
Release     : 6.fc17

How reproducible:
I tried these two URLs
 http://www.nasa.gov/rss/lg_image_of_the_day.rss
 https://toolserver.org/~daniel/potd/commons/potd-400x300.rss

Steps to Reproduce:
1. Start xscreensaver-demo
2. go to the advanced tab
3. entered a rss-feed-URL in the »choose random image« field
4. I tried these two URLs
 http://www.nasa.gov/rss/lg_image_of_the_day.rss
 https://toolserver.org/~daniel/potd/commons/potd-400x300.rss
  
Actual results:
Error message window: »Directory does not exist: "http:/www.nasa.gov/rss/lg_image_of_the_day.rss"«
Note: I entered http:// with TWO slashes, but xscreensaver-demo removes one of them immediately.

I changed the variable imageDirectory in the ~/.xscreensaver file and all I got was the default image. I still see no pictures from the rss feed with, e.g. the carousel screensaver.

Expected results:
Accept the URL and download images (pictures) from the rss feed and display them in the screensavers that use images.

Additional info:
If I use the perl script /usr/bin/xscreensaver-getimage-file directly (this script is responsible for getting the images), then it doesn’t work either.

[user@host ~]$ xscreensaver-getimage-file http://www.nasa.gov/rss/lg_image_of_the_day.rss
xscreensaver-getimage-file: empty feed: http://www.nasa.gov/rss/lg_image_of_the_day.rss
xscreensaver-getimage-file: empty feed: http://www.nasa.gov/rss/lg_image_of_the_day.rss

[user@host ~]$ xscreensaver-getimage-file https://toolserver.org/~daniel/potd/commons/potd-400x300.rss
xscreensaver-getimage-file: not an RSS or Atom feed: https://toolserver.org/~daniel/potd/commons/potd-400x300.rss
Comment 1 Mamoru TASAKA 2012-06-04 05:49:51 EDT
Well, one of the biggest problem here is that I am not familiar with RSS regulation and I have (almost) no idea how to judge which image link should (can) be extracted from the URLs you quoted above.

If you would have some explanation about RSS regulation, especially for image specification, it is higuly appreciated, thank you.
Comment 2 Mamoru TASAKA 2012-06-04 05:52:20 EDT
So, at least please write what image file you expect that xscreensaver-getimage-file should extract from the above URLs. Again if you know some regulation of RSS for image files, it is highly appreciated.
Comment 3 Erik Streb del Toro 2012-06-04 16:41:03 EDT
(In reply to comment #2)
> So, at least please write what image file you expect that
> xscreensaver-getimage-file should extract from the above URLs. Again if you
> know some regulation of RSS for image files, it is highly appreciated.

I’ve found a working rss feed. This one: http://api.flickr.com/services/feeds/photos_public.gne

But: It only works, if I edit the line imageDirectory: in the ~/.xscreensaver file. If I try to enter the URL in the »choose random image« field in the xscreensaver-demo program, it is rejected again.

So there seem to be two problems:
1) /usr/bin/xscreensaver-getimage-file is only accepting some rss feeds, others not (why and which ones?).
2) /usr/bin/xscreensaver-demo is not accepting any URL but only directories in the file system. But the description says, that it should accept URLs.
Comment 4 Mamoru TASAKA 2012-06-12 04:57:38 EDT
Hello:

(In reply to comment #3)
> (In reply to comment #2)
> > So, at least please write what image file you expect that
> > xscreensaver-getimage-file should extract from the above URLs. Again if you
> > know some regulation of RSS for image files, it is highly appreciated.
> 
> I’ve found a working rss feed. This one:
> http://api.flickr.com/services/feeds/photos_public.gne
> 
> But: It only works, if I edit the line imageDirectory: in the
> ~/.xscreensaver file. If I try to enter the URL in the »choose random image«
> field in the xscreensaver-demo program, it is rejected again.
> 
> So there seem to be two problems:
> 1) /usr/bin/xscreensaver-getimage-file is only accepting some rss feeds,
> others not (why and which ones?).

To fix 1), again I need to know some regulation of RSS feeds.

> 2) /usr/bin/xscreensaver-demo is not accepting any URL but only directories
> in the file system. But the description says, that it should accept URLs.

For 2), actually I have found a bug. At least xscreensaver should accept the URL which xscreensaver-getimage-file accepts.

So first, I will submit a fix for 2) issue. After my local fix for 2), the URL http://api.flickr.com/services/feeds/photos_public.gne is now accepted.
Comment 5 Fedora Update System 2012-06-12 09:39:53 EDT
xscreensaver-5.15-7.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xscreensaver-5.15-7.fc17
Comment 6 Mamoru TASAKA 2012-06-12 09:42:10 EDT
(In reply to comment #5)
> xscreensaver-5.15-7.fc17 has been submitted as an update for Fedora 17.
> https://admin.fedoraproject.org/updates/xscreensaver-5.15-7.fc17

-7 is for 2). http://api.flickr.com/services/feeds/photos_public.gne should work with this.

For 1), still I need to know some regulation of RSS feeds, and currently I don't think there is a "perfect" solution for this.
Comment 7 Mamoru TASAKA 2012-06-12 11:32:48 EDT
(In reply to comment #6)
> (In reply to comment #5)
> > xscreensaver-5.15-7.fc17 has been submitted as an update for Fedora 17.
> > https://admin.fedoraproject.org/updates/xscreensaver-5.15-7.fc17
> 
> -7 is for 2). http://api.flickr.com/services/feeds/photos_public.gne should
> work with this.

-7 had a small bug. Please try -8 for 2) issue.
Comment 8 Mamoru TASAKA 2012-06-13 07:56:06 EDT
(In reply to comment #7)
> -7 had a small bug. Please try -8 for 2) issue.

Well, please try -9 ...
Comment 9 Mamoru TASAKA 2012-06-19 02:13:56 EDT
The upstream developer thankfully sent me new xscreensaver-getimage-file, so I will submit new -10.

Note that this rss
 http://toolserver.org/~daniel/potd/commons/potd-400x300.rss
contains only small thumbnails and xscreensaver-getimage-file will refuse such small images.
Comment 10 Fedora Update System 2012-06-19 02:18:18 EDT
xscreensaver-5.15-10.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xscreensaver-5.15-10.fc17
Comment 11 Fedora Update System 2012-06-19 20:22:08 EDT
Package xscreensaver-5.15-10.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xscreensaver-5.15-10.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9650/xscreensaver-5.15-10.fc17
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2012-06-20 12:35:53 EDT
xscreensaver-5.16-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xscreensaver-5.16-1.fc17
Comment 13 Fedora Update System 2012-07-05 19:35:00 EDT
xscreensaver-5.17-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.